'use strict';

require('nightingale-app-console');

var _alpNode = require('alp-node');

var _alpNode2 = _interopRequireDefault(_alpNode);

var _alpRouter = require('alp-router');

var _alpRouter2 = _interopRequireDefault(_alpRouter);

var _alpBodyParser = require('alp-body-parser');

var _alpBodyParser2 = _interopRequireDefault(_alpBodyParser);

var _createRouter = require('./createRouter');

var _createRouter2 = _interopRequireDefault(_createRouter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if (!process.send) {
  // eslint-disable-next-line no-console
  console.log('Not forked.');
  process.exit(1);
}

const app = new _alpNode2.default({
  publicPath: `${__dirname}/public/`
});

// init / config
(0, _alpBodyParser2.default)(app);

// middlewares
app.catchErrors();
app.servePublic();
app.use((0, _alpRouter2.default)((0, _createRouter2.default)())(app));

app.start(async () => {
  await app.listen();
});
//# sourceMappingURL=index.js.map