'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.on = undefined;
exports.send = send;

var _nodeIpcPromise = require('node-ipc-promise');

var _nodeIpcPromise2 = _interopRequireDefault(_nodeIpcPromise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ipc = (0, _nodeIpcPromise2.default)();

function send(message, ...args) {
  return ipc.exec(message, ...args);
}

const on = exports.on = (eventName, callback) => ipc.register(eventName, callback);
//# sourceMappingURL=ipc.js.map